> For the complete documentation index, see [llms.txt](https://docs.uci.ucserver.it/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uci.ucserver.it/uncomplicatedcustomitems/archive/uci-4.0./customflagsettings/effect.md).

# Effect

{% hint style="danger" %}
This is archived all will not work on the latest version.\
Archived version: 4.0.\*
{% endhint %}

**Description:** Applies a game effect when the item is used, with control over intensity, duration, stacking, and clearing on unequip.

**Parameters:**

* `effect_event` — The event that triggers the effect (`EffectWhenUsed`, `EffectShot`, or `EffectWhenEquiped`).
* [`effect`](/uncomplicatedcustomitems/api/enums/external/effects.md) — Which effect to apply (e.g., `Flashed`).
* `effect_intensity` — Intensity/strength of the applied effect.
* `effect_duration` — How long the effect lasts (seconds).
* `add_duration_if_active` — If `true`, adding the effect while it’s active increases the duration instead of replacing it.
* `clear_on_unequip` — If `true`, effect is cleared when the item is unequipped.

**Example Yaml context:**

```yaml
flag_settings:
  effect_settings:
  - effect_event: EffectWhenUsed
    effect: Flashed
    effect_intensity: 1
    effect_duration: 1
    add_duration_if_active: true
    clear_on_unequip: true
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.uci.ucserver.it/uncomplicatedcustomitems/archive/uci-4.0./customflagsettings/effect.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
